ReferenceOrders
List orders
Required scope
orders:readThe API key must hold this scope, otherwise Kivoo answers 403 insufficient_scope.GET
/v1/ordersOrders of the store, newest first, from the catalogue or a payment link. from (inclusive) and to (exclusive) filter on createdAt.
Authorization
apiKey AuthorizationBearer <token>
Clé API de la boutique, kv_live_…
In: header
Query Parameters
page?number
Page to return, from 1
Range
1 <= valueDefault
1pageSize?number
Items per page, 1 to 100
Range
1 <= value <= 100Default
25status?string
Only this status
Value in
- "PENDING"
- "PAID"
- "FAILED"
- "CANCELLED"
- "REFUNDED"
from?string
Orders created at or after this instant
Format
date-timeto?string
Orders created before this instant
Format
date-timeResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.kivoo.africa/v1/orders" \ -H "Authorization: Bearer kv_live_EXAMPLE0000000000000000000000000000000000"{ "page": 1, "pageSize": 25, "total": 42, "data": [ { "id": "5c4b3a29-1807-4f6e-9d5c-4b3a29180706", "reference": "KV-7F3K9QA2", "status": "PAID", "amount": 5000, "currency": "XAF", "platformFeePercent": 10, "customer": { "id": "7d9e1f2a-3b4c-4d5e-8f6a-7b8c9d0e1f2a", "name": "Aminata Diallo", "email": "aminata@example.com", "phone": "+237655000000" }, "items": [ { "id": "0b7c3e5a-1d2f-4a6b-8c9d-0e1f2a3b4c5d", "productId": "3a6c2f1e-8b4d-4c1a-9e2f-5d7b8a9c0e1f", "type": "FILE", "title": "Guide du freelance", "unitAmount": 5000, "quantity": 1 } ], "paymentLink": { "id": "9e8d7c6b-5a4f-4e3d-8c2b-1a0f9e8d7c6b", "code": "ab23cd45", "title": "Acompte robe bleue" }, "note": "Taille M, s’il te plaît.", "paidAt": "2026-09-12T10:05:00.000Z", "createdAt": "2026-09-12T10:03:00.000Z" } ]}